require 'guard/notifiers/gntp'

Guard::Notifier::GNTP.module_eval do
  unless respond_to?(:available_only_darwin?)
    def available_only_darwin?(silent = false, options = {})
      if RbConfig::CONFIG['host_os'] =~ /darwin/i
        available_not_only_darwin?(silent, options)
      else
        ::Guard::UI.error 'The :gntp notifier runs only on Mac OS X.' unless silent
        false
      end
    end

    alias :available_not_only_darwin? :available?
    alias :available? :available_only_darwin?
  end
end
